#
# Conditional build:
%bcond_without	vdpau		# build FFmpeg without VDPAU support
%bcond_with	system_ffmpeg	# system FFmpeg (note: upstream does not accept bugs with system ffmpeg)

%define		gstname gst-ffmpeg
%define		gst_major_ver   0.10
%define		gst_req_ver	0.10.31

%include	/usr/lib/rpm/macros.gstreamer
Summary:	GStreamer Streaming-media framework plug-in using FFmpeg
Summary(pl.UTF-8):	Wtyczka do środowiska obróbki strumieni GStreamer używająca FFmpeg
Name:		gstreamer0.10-ffmpeg
Version:	0.10.13
Release:	1
# the ffmpeg plugin is LGPL, the postproc plugin is GPL
License:	GPL v2+ and LGPL v2+
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{gstname}-%{version}.tar.bz2
# Source0-md5:	7f5beacaf1312db2db30a026b36888c4
Patch0:		gst-ffmpeg-format_string.patch
Patch1:		gst-ffmpeg-gcc4.7-x86_64.patch
URL:		http://gstreamer.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	bzip2-devel
BuildRequires:	gstreamer0.10-devel >= %{gst_req_ver}
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	gstreamer0.10-plugins-base-devel >= %{gst_req_ver}
BuildRequires:	libtool
BuildRequires:	orc-devel >= 0.4.6
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.1
BuildRequires:	rpmbuild(macros) >= 1.470
%if %{with system_ffmpeg}
# libavformat,libavcodec,libavutil,libpostproc,libswscale needed
BuildRequires:	ffmpeg-devel >= 0.7
%else
# TODO: fill the rest of ffmpeg dependencies used here
%if %{with vdpau}
BuildRequires:	libvdpau-devel
BuildRequires:	xorg-lib-libXvMC-devel
%endif
%endif
Requires:	gstreamer0.10-plugins-base >= %{gst_req_ver}
Requires:	orc >= 0.4.6
Obsoletes:	gstreamer-ffmpeg < 0.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

This plugin contains the FFmpeg codecs, containing codecs for most
popular multimedia formats.

%description -l pl.UTF-8
GStreamer to środowisko obróbki danych strumieniowych, bazujące na
grafie filtrów operujących na danych medialnych. Aplikacje używające
tej biblioteki mogą robić wszystko od przetwarzania dźwięku w czasie
rzeczywistym, do odtwarzania filmów i czegokolwiek innego związanego z
mediami. Architektura bazująca na wtyczkach pozwala na łatwe dodawanie
nowych typów danych lub możliwości obróbki.

Wtyczka ta zawiera kodeki FFmpeg, potrafiące zdekodować
najpopularniejsze formaty multimedialne.

%prep
%setup -q -n %{gstname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	CPPFLAGS="%{rpmcppflags}" \
	%{?with_system_ffmpeg:--with-system-ffmpeg} \
	%{?with_vdpau:--with-ffmpeg-extra-configure="--enable-vdpau"} \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_major_ver}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstffmpeg.so
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstffmpegscale.so
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstpostproc.so
%changelog
* Thu Jan 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer0.10-ffmpeg.git;a=log;h=master

* Thu Jan 10 2013 Jacek Konieczny <jajcus@jajcus.net> 4767057
Compilation fix for x86_64

* Thu Jan 10 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 4744a19
format string patch added

* Thu Jan 10 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 11339ce
without system_ffmpeg by default

* Thu Jan 10 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 26347b9
gstreamer0.10-ffmpeg forked from gstreamer-ffmpeg

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 81f79fc
- release 2

* Thu Nov 03 2011 Jakub Bogusz <qboosh@pld-linux.org> a82f9c3
- updated to 0.10.13

* Fri Jul 29 2011 lisu <lisu@pld-linux.org> 3122c1c
- merged with DEVEL

* Fri Jul 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 0fc8a12
- updated to 0.10.12 (for ffmpeg 0.7/0.8)

* Wed Jul 06 2011 lisu <lisu@pld-linux.org> f7b00eb
- rel 2

* Sun Jan 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 69d246d
- updated BRs
- vdpau enabled by default (using open-sourced libvdpau)

* Mon Nov 08 2010 Elan Ruusamäe <glen@pld-linux.org> aa83f0f
- system ffmpeg bcond, clarify license

* Sat Jul 17 2010 Patryk Zawadzki <patrys@room-303.com> edbe563
- 0.10.11

* Mon May 31 2010 Patryk Zawadzki <patrys@room-303.com> 17a609a
- 0.10.10

* Sun Sep 13 2009 Karol Krenski <charles@pld-linux.org> beeb03a
- added vdpau bcond (for FFmpeg)
- proper gstreamer deps

* Tue Jun 30 2009 Patryk Zawadzki <patrys@room-303.com> 52344cd
- 0.10.8

* Sun Mar 22 2009 Patryk Zawadzki <patrys@room-303.com> b8c5f0b
- 0.10.7

* Fri Jan 23 2009 Marcin Banasiak <marcin.banasiak@gmail.com> e122906
- generate rpm provides for plugins
- release 2

* Sun Dec 07 2008 Patryk Zawadzki <patrys@room-303.com> 5d8470e
- 0.10.6

* Mon Oct 20 2008 Patryk Zawadzki <patrys@room-303.com> c739ac9
- not used

* Mon Oct 20 2008 Patryk Zawadzki <patrys@room-303.com> 8e7e672
- stop using system ffmpeg
- ffmpeg breaks API every week
- there are no proper releases
- gstreamer won't accept bugs for packages using external ffmpeg
- feel free to revert if you get it to build and want to maintain the patch

